<?php 
	if($_SESSION['nivel'] == '1'){

if(count($_GET)>0){
  while (list($variavelNOME,$variavelGET) = each($_GET)) {
    $$variavelNOME= $variavelGET;
  }
}
if(count($_POST)>0){
  while (list($variavelNOME,$variavelPOST) = each($_POST)) {
    $$variavelNOME= $variavelPOST;
  }
}

if(count($_FILES)>0){
  while (list($variavelNOME,$variavelFILES) = each($_FILES)) {
    $$variavelNOME= $variavelFILES;
  }
}

$hora=date("His",time());
$data=date("dmy");
$codigo=$codcli;

include 'auxiliares/funcoes-upload.php';


if ($_FILES['nomearquivo'] != ""){
$arquivo = $_FILES['nomearquivo']['tmp_name'];
$nomearquivo = $_FILES['nomearquivo']['name'];
$nomearquivo = tratar_arquivo_upload($nomearquivo);
$nomearquivo = $data.$codigo.$hora.$nomearquivo;

	$novo_caminho = "arquivos/crm/$nomearquivo";
	move_uploaded_file($arquivo,$novo_caminho);
}
	
list($dia, $mes, $ano)=explode("/",$dtcomp);
$dtcomp="$ano-$mes-$dia";


//echo $nomearquivo=$id.$data.$nomearquivo;

$data=date("Y-m-d");
$hora=date("H:i:s",time());
$result=mysql_query("insert into crm_agenda (codcli, compromisso, dtcomp, data, hora, arquivo, nomedoarquivo) values ('$codcli', '$compromisso', '$dtcomp', '$data', '$hora', '$nomearquivo', '$upload' )");

if($result != 0 ){
$clis=mysql_query("select empresa, email, email01, email02, email03, login, senha from crm_cliente where id='$codcli'") or die (mysql_error()); 
$linha=mysql_fetch_array($clis);

$empresa = $linha['0'];
$resultEmails[0] = $linha["email"];
$resultEmails[1] = $linha["email01"];
$resultEmails[2] = $linha["email02"];
$resultEmails[3] = $linha["email03"];

list($ano, $mes, $dia)=explode("-", $validade);
$validade="$dia/$mes/$ano";
list($ano, $mes, $dia)=explode("-", $emissao);
$emissao="$dia/$mes/$ano";

$conteudoEmail .= utf8_decode(" <table width='600' border='0' align='left'><b>Prezado cliente:</b> $empresa <br><br>
			<b>Foi adicionado o compromisso:</b> $compromisso <br>
			<b>Data de vencimento:</b> $dtcomp <br>
			<b>Arquivo:</b> $upload <br>
			<b>Acesse sua conta aqui:</b> http://www.contarcontabilidadejf.com.br/ <br>
		<br>
		<br><br>
		
		Atenciosamente, <br>
		Sistema CRM<br>
");
	
	 $assuntoEmail = utf8_decode("Novo compromisso inserido, Empresa: $empresa".utf8_encode($empresa));

	require 'controladores/emails/resolveEmailChamado.php';	
	?>
	<p align="center" style="margin-top:100"><font color="#000066" face="Arial, Helvetica, sans-serif" size="+2"><? echo "Compromisso adicionado e um e-mail foi enviado para o endere&ccedil;o do cliente (".$resultEmails['0'].") - (".$resultEmails["1"].") - (".$resultEmails["2"].") - (".$resultEmails['3'].")."; ?></font></p>

	<?
} else { 
	?>
	<p align="center" style="margin-top:100"><font color="#000066" face="Arial, Helvetica, sans-serif" size="+2"><? echo "Ocorreu um erro ao lan&ccedil;ar o compromisso. Por favor, tente novamente."; ?></font></p>

	<?
}

?>
<body>

<?

$query=mysql_query("update cliente set statusag='NÃO' where id='$codcli'");
}
?>